Bug 836451 (CVE-2012-3369) - CVE-2012-3369 JBoss: CallerIdentityLoginModule retaining password from previous call if a null password is provided
Summary: CVE-2012-3369 JBoss: CallerIdentityLoginModule retaining password from previo...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-3369
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 843319 843320 843321 843322
Blocks: 789173 835396 842474 849517 883225
TreeView+ depends on / blocked
 
Reported: 2012-06-29 06:44 UTC by David Jorm
Modified: 2019-09-29 12:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-03 00:32:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-9388 Blocker Closed Spurious failures in org.jboss.test.jca.test.SecurityContextUnitTestCase.testCallerIdentityPropagation 2016-01-28 11:48:45 UTC
Red Hat Product Errata RHSA-2013:0191 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 5.2.0 update 2013-01-24 23:30:08 UTC
Red Hat Product Errata RHSA-2013:0192 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 5.2.0 update 2013-01-24 23:28:23 UTC
Red Hat Product Errata RHSA-2013:0193 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 5.2.0 update 2013-01-24 23:42:29 UTC
Red Hat Product Errata RHSA-2013:0194 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 5.2.0 update 2013-01-24 23:08:14 UTC
Red Hat Product Errata RHSA-2013:0195 normal SHIPPED_LIVE Important: JBoss Enterprise Web Platform 5.2.0 update 2013-01-24 23:41:24 UTC
Red Hat Product Errata RHSA-2013:0196 normal SHIPPED_LIVE Important: JBoss Enterprise Web Platform 5.2.0 update 2013-01-24 23:55:46 UTC
Red Hat Product Errata RHSA-2013:0197 normal SHIPPED_LIVE Important: JBoss Enterprise Web Platform 5.2.0 update 2013-01-24 23:54:22 UTC
Red Hat Product Errata RHSA-2013:0198 normal SHIPPED_LIVE Important: JBoss Enterprise Web Platform 5.2.0 update 2013-01-25 00:07:17 UTC
Red Hat Product Errata RHSA-2013:0221 normal SHIPPED_LIVE Important: JBoss Enterprise BRMS Platform 5.3.1 update 2013-02-01 01:23:18 UTC
Red Hat Product Errata RHSA-2013:0533 normal SHIPPED_LIVE Important: JBoss Enterprise SOA Platform 5.3.1 update 2013-02-21 02:42:25 UTC

Description David Jorm 2012-06-29 06:44:07 UTC
The CallerIdentityLoginModule will retain the password from the previous call if a null password is provided, and pass the provided username along with the previously provided password as credentials for the current Principal. If the CallerIdentityLoginModule was utilized in a way that allowed a user to authenticate with a null password (rather than an empty string), then a remote attacker could exploit this flaw to hijack the credentials of a previously authenticated user if they knew their username, and were able to time their login attempt so it immediately followed a call made by the previously authenticated user.

Comment 1 Arun Babu Neelicattu 2012-07-25 04:31:06 UTC
Bug Source: https://issues.jboss.org/browse/JBPAPP-9388

Comment 17 David Jorm 2012-09-11 04:11:41 UTC
It has been found that this flaw is not exploitable on JBoss AS 7 and EAP 6. It will be fixed as a defence in depth measure in these products, but does not constitute a security flaw. This flaw is only exploitable on products based on EAP 5.

Comment 20 David Jorm 2013-01-22 03:37:34 UTC
Acknowledgements:

This issue was discovered by Carlo de Wolf of Red Hat.

Comment 21 errata-xmlrpc 2013-01-24 18:09:42 UTC
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 5.2.0

Via RHSA-2013:0194 https://rhn.redhat.com/errata/RHSA-2013-0194.html

Comment 22 errata-xmlrpc 2013-01-24 18:32:34 UTC
This issue has been addressed in following products:

  JBEAP 5 for RHEL 5

Via RHSA-2013:0192 https://rhn.redhat.com/errata/RHSA-2013-0192.html

Comment 23 errata-xmlrpc 2013-01-24 18:33:19 UTC
This issue has been addressed in following products:

  JBEAP 5 for RHEL 6

Via RHSA-2013:0191 https://rhn.redhat.com/errata/RHSA-2013-0191.html

Comment 24 errata-xmlrpc 2013-01-24 18:45:36 UTC
This issue has been addressed in following products:

  JBEWP 5 for RHEL 6

Via RHSA-2013:0195 https://rhn.redhat.com/errata/RHSA-2013-0195.html

Comment 25 errata-xmlrpc 2013-01-24 18:46:20 UTC
This issue has been addressed in following products:

  JBEAP 5 for RHEL 4

Via RHSA-2013:0193 https://rhn.redhat.com/errata/RHSA-2013-0193.html

Comment 26 errata-xmlrpc 2013-01-24 18:58:38 UTC
This issue has been addressed in following products:

  JBEWP 5 for RHEL 4

Via RHSA-2013:0197 https://rhn.redhat.com/errata/RHSA-2013-0197.html

Comment 27 errata-xmlrpc 2013-01-24 18:59:29 UTC
This issue has been addressed in following products:

  JBEWP 5 for RHEL 5

Via RHSA-2013:0196 https://rhn.redhat.com/errata/RHSA-2013-0196.html

Comment 28 errata-xmlrpc 2013-01-24 19:08:33 UTC
This issue has been addressed in following products:

  JBoss Enterprise Web Platform 5.2.0

Via RHSA-2013:0198 https://rhn.redhat.com/errata/RHSA-2013-0198.html

Comment 29 errata-xmlrpc 2013-01-31 20:31:30 UTC
This issue has been addressed in following products:

  JBoss Enterprise BRMS Platform 5.3.1

Via RHSA-2013:0221 https://rhn.redhat.com/errata/RHSA-2013-0221.html

Comment 30 errata-xmlrpc 2013-02-20 21:44:17 UTC
This issue has been addressed in following products:

  JBoss Enterprise SOA Platform 5.3.1

Via RHSA-2013:0533 https://rhn.redhat.com/errata/RHSA-2013-0533.html


Note You need to log in before you can comment on or make changes to this bug.